---
layout: default
title: Terraform Dependencies
parent: Features
nav_order: 8
---

# Dependencies
The Terraform Operator supports dependency on other `Terraform` runs whether within the same namespace or a different namespace.

```yaml
apiVersion: run.terraform-operator.io/v1alpha1
kind: Terraform
metadata:
  name: terraform-first-run
```

```yaml
apiVersion: run.terraform-operator.io/v1alpha1
kind: Terraform
...
spec:
  ...
  dependsOn:
    - name: terraform-first-run
      # namespace: another-namespace
```

You can also specify variables based on the output of the dependency, check [here](https://kuptan.github.io/terraform-operator/features/3.variables/#Variables-from-a-dependency) for examples